Bug 237396

Summary: cad/kicad: update to 5.1.1
Product: Ports & Packages Reporter: Christoph Moench-Tegeder <cmt>
Component: Individual Port(s)Assignee: Christoph Moench-Tegeder <cmt>
Status: Closed FIXED    
Severity: Affects Only Me Keywords: easy, patch, patch-ready
Priority: --- Flags: thierry: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/KiCad/kicad-source-mirror/releases
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237654
Attachments:
Description Flags
update kicad and it's libraries to 5.1.1 none

Description Christoph Moench-Tegeder freebsd_committer 2019-04-19 19:58:41 UTC
Created attachment 203808 [details]
update kicad and it's libraries to 5.1.1

KiCad 5.1.1 has been tagged in source and libraries:
https://github.com/KiCad/kicad-source-mirror/releases
https://github.com/KiCad/kicad-footprints/releases
https://github.com/KiCad/kicad-packages3D/releases
https://github.com/KiCad/kicad-symbols/releases
https://github.com/KiCad/kicad-templates/releases

Update is rather trivial (some plist changes in the libraries) and passes poudriere.
Comment 1 Thierry Thomas freebsd_committer 2019-04-19 21:47:20 UTC
I have not been able to build it, due to a failure with www/webkit2-gtk3: see PR 237348
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237348
Comment 2 Thierry Thomas freebsd_committer 2019-04-22 12:51:37 UTC
Well, after reinstalling graphics/cairo and www/webkit2-gtk3 from packages, I'm not able to build it, configure fails with the following message:

--   Found cairo, version 1.16.0
-- Found Cairo: /usr/local/lib/libcairo.so (found suitable version "1.16.0", minimum required is "1.12") 
-- Checking for module 'pixman-1'
--   Found pixman-1, version 0.34.0
-- Found Pixman: /usr/local/lib/libpixman-1.so (found suitable version "0.34.0", minimum required is "0.30") 
-- Boost version: 1.70.0
-- Found ngspice: /usr/local/include  
-- Found OCC: /usr/local/include/OpenCASCADE (found version "7.3.0") 
-- Found OpenCASCADE Standard Edition version: 7.3.0
--  ++ OpenCASCADE Standard Edition include directory: /usr/local/include/OpenCASCADE
--  ++ OpenCASCADE Standard Edition shared libraries directory: /usr/local/lib
-- Found SWIG: /usr/local/bin/swig3.0 (found suitable version "3.0.12", minimum required is "3.0") 
-- Found PythonInterp: /usr/local/bin/python2.7 (found suitable version "2.7.16", minimum required is "2.6") 
-- Check for installed Python Interpreter -- found
-- Python module install path: lib/python2.7/site-packages
-- Found PythonLibs: /usr/local/lib/libpython2.7.so (found suitable version "2.7.16", minimum required is "2.6") 
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: No module named wx
CMake Error at CMakeModules/FindwxPython.cmake:52 (message):
  wxPython/Phoenix does not appear to be installed on the system
Call Stack (most recent call first):
  CMakeLists.txt:718 (find_package)


-- Configuring incomplete, errors occurred!
See also "/usr/ports/cad/kicad/work/.build/CMakeFiles/CMakeOutput.log".
See also "/usr/ports/cad/kicad/work/.build/CMakeFiles/CMakeError.log".
*** Error code 1

Stop.
make: stopped in /usr/ports/cad/kicad


And I cannot even build it inside a poudriere jail, due to PR 237348!

But I trust you, and suppose that the problem is on my side, then please commit!
Comment 3 commit-hook freebsd_committer 2019-04-22 13:09:50 UTC
A commit references this bug:

Author: cmt
Date: Mon Apr 22 13:08:46 UTC 2019
New revision: 499637
URL: https://svnweb.freebsd.org/changeset/ports/499637

Log:
  update cad/kicad and libraries to 5.1.1

  https://github.com/KiCad/kicad-source-mirror/releases

  PR:		237396
  Approved by:	thierry (maintainer)

Changes:
  head/cad/kicad/Makefile
  head/cad/kicad/distinfo
  head/cad/kicad-library-footprints/Makefile
  head/cad/kicad-library-footprints/distinfo
  head/cad/kicad-library-footprints/pkg-plist
  head/cad/kicad-library-packages3d/Makefile
  head/cad/kicad-library-packages3d/distinfo
  head/cad/kicad-library-packages3d/pkg-plist
  head/cad/kicad-library-symbols/Makefile
  head/cad/kicad-library-symbols/distinfo
  head/cad/kicad-library-symbols/pkg-plist
  head/cad/kicad-library-templates/Makefile
  head/cad/kicad-library-templates/distinfo
Comment 4 Christoph Moench-Tegeder freebsd_committer 2019-04-22 13:12:19 UTC
committed ports r499637 - thanks
Comment 5 Christoph Moench-Tegeder freebsd_committer 2019-04-22 13:15:41 UTC
(In reply to Thierry Thomas from comment #2)

It doesn't pick up your installation of wxPython... is that system ok after the python 2.7/3.6 migration? (kicad is still pinned to python 2.7 - perhaps we should bump that, if possible)